require 'spec_helper'

describe "Corp Pages", :js => true, :type => :feature, :capybara_feature => true do

  subject { page }

  before(:all) do
    Capybara.javascript_driver = :poltergeist
    Capybara.current_driver = Capybara.javascript_driver
    Capybara.default_wait_time = 10
  end

  describe "about" do
    before(:each) do
      visit "/corp/about"
    end

    it { should have_selector('h1', text: 'About Us') }
  end

  describe "contact" do
    before(:each) do
      visit "/corp/contact"
    end

    it { should have_selector('h1', text: 'Contact') }
  end

  describe "help" do
    before(:each) do
      visit "/corp/help"
    end

    it { should have_selector('h1', text: 'Help') }
  end

  describe "media center" do
    before(:each) do
      visit "/corp/media_center"
    end

    it { should have_selector('h1', text: 'Media Center') }
  end

  describe "news" do
    before(:each) do
      visit "/corp/news"
    end

    it { should have_selector('h1', text: 'News') }
  end

  describe "privacy" do
    before(:each) do
      visit "/corp/privacy"
    end

    it { should have_selector('h1', text: 'Privacy Policy') }
  end

  describe "terms" do
    before(:each) do
      visit "/corp/terms"
    end

    it { should have_selector('h1', text: 'Terms of Service') }
  end

  describe "cookies policy" do
    before(:each) do
      visit "/corp/cookies_policy"
    end

    it { should have_selector('h1', text: 'Cookies Policy') }
  end

  describe "premium accounts" do
    before(:each) do
      visit "/corp/premium_accounts"
    end

    it { should have_selector('h1', text: 'Premium Accounts') }
  end
end
